tools

# Class: PlaLdifExporter

Source Location: /lib/export.inc

### Class Overview

    PlaAbstractExporter
       |
       --PlaExporter
          |
          --PlaLdifExporter

Export entries to ldif format

#### Author(s):

### Variables

- $counter
- $MAX_LDIF_LINE_LENGTH

### Methods

- PlaLdifExporter
- displayExportInfo
- export
- multi_lines_display

### Inherited Variables

#### Class: PlaExporter

PlaExporter::$br
PlaExporter::$exporter

### Inherited Methods

#### Class: PlaExporter

PlaExporter::PlaExporter()
  Constructor
PlaExporter::export()
  Abstract method use to export data.
PlaExporter::is_safe_ascii()
  Helper method to check if the attribute value should be base 64 encoded.
PlaExporter::pla_fetch_entry_array()
  Return the entry as an array
PlaExporter::pla_fetch_entry_object()
  Return the entry as an Entry object
PlaExporter::pla_get_ldap_info()
  Return a PlaLdapInfo Object
PlaExporter::pla_has_entry()
  Return true if there is some more entries to be processed
PlaExporter::pla_num_entries()
  Return the number of entries
PlaExporter::setOutputFormat()
  Set the carriage return /linefeed for the export

#### Class: PlaAbstractExporter

PlaAbstractExporter::pla_fetch_entry_array()
  Return the entry as an array
PlaAbstractExporter::pla_fetch_entry_object()
  Return the entry as an Entry object
PlaAbstractExporter::pla_get_ldap_info()
  Return a PlaLdapInfo Object
PlaAbstractExporter::pla_has_entry()
  Return true if there is some more entries to be processed
PlaAbstractExporter::pla_num_entries()
  Return the number of entries

### Class Details

[line 378]
Export entries to ldif format

#### Tags:

extends: | PlaExporter

[ Top ]

### Class Variables

#### $counter = 0

[line 381]

Type: | mixed

[ Top ]

#### $MAX_LDIF_LINE_LENGTH = 76

[line 384]

Type: | mixed

[ Top ]

### Class Methods

### constructor PlaLdifExporter [line 390]

`PlaLdifExporter PlaLdifExporter( PlaAbstractExporter $exporter)`

Create a PlaLdifExporter object

#### Parameters:

PlaAbstractExporter | $exporter | the source exporter

[ Top ]

### method displayExportInfo [line 439]

`void displayExportInfo( $pla_ldap_info)`

#### Parameters:

| $pla_ldap_info |

[ Top ]

### method export [line 397]

`void export( )`

Export entries to ldif format
Overrides PlaExporter::export() (Abstract method use to export data.)
[ Top ]

### method multi_lines_display [line 452]

`void multi_lines_display( String $str)`

Helper method to wrap ldif lines

#### Parameters:

String | $str | the line to be wrapped if needed.

[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:52:57 +0200 by phpDocumentor 1.4.1